| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# JobHistory Class Reference

`#include <JobHistory.h>`

Inheritance diagram for JobHistory:

[legend]
Collaboration diagram for JobHistory:

[legend]
List of all members.

## Detailed Description

JobHistory class definition.

Author:
  : Charles Leggett

Definition at line 24 of file JobHistory.h.

## Public Types
typedef std::vector< std::pair< std::string, const Property * > > | PropertyList
## Public Member Functions
| JobHistory ()
| JobHistory (const std::string &rel, const std::string &os, const std::string &host, const std::string &dir, const std::string &osver, const std::string &mach, const std::string &cmtconfig, const time_t &time)
| ~JobHistory ()
virtual const CLID & | clID () const
| Retrieve reference to class definition structure.
void | addProperty (const std::string &, const Property *)
std::string | release_version () const
std::string | os () const
std::string | hostname () const
std::string | os_version () const
std::string | machine () const
std::string | dir () const
std::string | cmtconfig () const
std::vector< std::string > | environment () const
const PropertyList & | properties () const
time_t | start_time () const
## Static Public Member Functions
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access).
## Private Attributes
std::string | m_release_version
std::string | m_dir
std::string | m_cmtconfig
std::string | m_osname
std::string | m_hostname
std::string | m_os_version
std::string | m_machine
std::vector< std::string > | m_environ
PropertyList | m_props
std::vector< std::string > | m_CVSid
time_t | m_start_time

## Member Typedef Documentation

typedef std::vector< std::pair<std::string,const Property*> > JobHistory::PropertyList

Definition at line 28 of file JobHistory.h.

## Constructor & Destructor Documentation

JobHistory::JobHistory | ( |  | ) |

Definition at line 33 of file JobHistory.cpp.

References System::getEnv(), System::hostName(), m_cmtconfig, m_dir, m_environ, m_hostname, m_machine, m_os_version, m_osname, m_release_version, m_start_time, System::machineType(), System::osName(), and System::osVersion().

    00034 : m_start_time(0) {
    00035
    00036   time(&m_start_time);
    00037
    00038   std::string rel;
    00039
    00040   if  ( (rel = System::getEnv("ATLAS_BASE_RELEASE")) != "UNKNOWN" ) {
    00041     m_release_version = rel;
    00042   } else if ( (rel = System::getEnv("GAUDIROOT")) != "UNKNOWN" ) {
    00043     m_release_version = rel;
    00044   } else {
    00045     m_release_version = "UNKNOWN";
    00046   }
    00047   m_dir = System::getEnv("PWD");
    00048   m_cmtconfig = System::getEnv("CMTCONFIG");
    00049
    00050   m_osname = System::osName();
    00051   m_hostname = System::hostName();
    00052   m_os_version = System::osVersion();
    00053   m_machine = System::machineType();
    00054
    00055   m_environ = System::getEnv();
    00056
    00057 }

JobHistory::JobHistory | ( | const std::string & | rel,
|  | const std::string & | os,
|  | const std::string & | host,
|  | const std::string & | dir,
|  | const std::string & | osver,
|  | const std::string & | mach,
|  | const std::string & | cmtconfig,
|  | const time_t & | time |
| ) |  |  |

Definition at line 59 of file JobHistory.cpp.

    00063                                           :
    00064   m_release_version(rel), m_dir(dir), m_cmtconfig(cmtconfig), m_osname(os),
    00065   m_hostname(host),
    00066   m_os_version(osver), m_machine(mach), m_start_time(time) {
    00067
    00068 }

JobHistory::~JobHistory | ( |  | ) |

Definition at line 75 of file JobHistory.cpp.

    00075                         {
    00076 }

## Member Function Documentation

virtual const CLID& JobHistory::clID | ( |  | ) | const`[inline, virtual]`

Retrieve reference to class definition structure.

Reimplemented from HistoryObj.

Definition at line 62 of file JobHistory.h.

References classID().

    00062 { return classID(); }

const CLID & JobHistory::classID | ( |  | ) | `[static]`

Retrieve reference to class definition structure (static access).

Reimplemented from HistoryObj.

Definition at line 78 of file JobHistory.cpp.

Referenced by clID().

    00078                                 {
    00079
    00080   static CLID CLID_JobHistory = 247994533;
    00081   return CLID_JobHistory;
    00082
    00083 }

void JobHistory::addProperty | ( | const std::string & | ,
|  | const Property * |  |
| ) |  |  |

Definition at line 86 of file JobHistory.cpp.

References m_props, and std::vector< _Tp, _Alloc >::push_back().

Referenced by HistorySvc::captureState().

    00086                                                                      {
    00087 //  if (m_props.find(prop) == m_props.end()) {
    00088     m_props.push_back( std::pair<std::string, const Property*>(client,prop) );
    00089 //  }
    00090 }

std::string JobHistory::release_version | ( |  | ) | const`[inline]`

Definition at line 69 of file JobHistory.h.

References m_release_version.

Referenced by operator<<().

    00069 { return m_release_version; }

std::string JobHistory::os | ( |  | ) | const`[inline]`

Definition at line 70 of file JobHistory.h.

References m_osname.

Referenced by operator<<().

    00070 { return m_osname; }

std::string JobHistory::hostname | ( |  | ) | const`[inline]`

Definition at line 71 of file JobHistory.h.

References m_hostname.

Referenced by operator<<().

    00071 { return m_hostname; }

std::string JobHistory::os_version | ( |  | ) | const`[inline]`

Definition at line 72 of file JobHistory.h.

References m_os_version.

Referenced by operator<<().

    00072 { return m_os_version; }

std::string JobHistory::machine | ( |  | ) | const`[inline]`

Definition at line 73 of file JobHistory.h.

References m_machine.

Referenced by operator<<().

    00073 { return m_machine; }

std::string JobHistory::dir | ( |  | ) | const`[inline]`

Definition at line 74 of file JobHistory.h.

References m_dir.

Referenced by operator<<().

    00074 { return m_dir; }

std::string JobHistory::cmtconfig | ( |  | ) | const`[inline]`

Definition at line 75 of file JobHistory.h.

References m_cmtconfig.

Referenced by operator<<().

    00075 { return m_cmtconfig; }

std::vector<std::string> JobHistory::environment | ( |  | ) | const`[inline]`

Definition at line 76 of file JobHistory.h.

References m_environ.

Referenced by operator<<().

    00076 { return m_environ; }

const PropertyList& JobHistory::properties | ( |  | ) | const`[inline]`

Definition at line 77 of file JobHistory.h.

References m_props.

Referenced by HistorySvc::dumpProperties(), HistorySvc::dumpState(), and operator<<().

    00077 { return m_props; }

time_t JobHistory::start_time | ( |  | ) | const`[inline]`

Definition at line 78 of file JobHistory.h.

References m_start_time.

Referenced by operator<<().

    00078 { return m_start_time; }

## Member Data Documentation

std::string JobHistory::m_release_version`[private]`

Definition at line 32 of file JobHistory.h.

Referenced by JobHistory(), and release_version().

std::string JobHistory::m_dir`[private]`

Definition at line 33 of file JobHistory.h.

Referenced by dir(), and JobHistory().

std::string JobHistory::m_cmtconfig`[private]`

Definition at line 34 of file JobHistory.h.

Referenced by cmtconfig(), and JobHistory().

std::string JobHistory::m_osname`[private]`

Definition at line 36 of file JobHistory.h.

Referenced by JobHistory(), and os().

std::string JobHistory::m_hostname`[private]`

Definition at line 37 of file JobHistory.h.

Referenced by hostname(), and JobHistory().

std::string JobHistory::m_os_version`[private]`

Definition at line 38 of file JobHistory.h.

Referenced by JobHistory(), and os_version().

std::string JobHistory::m_machine`[private]`

Definition at line 39 of file JobHistory.h.

Referenced by JobHistory(), and machine().

std::vector<std::string> JobHistory::m_environ`[private]`

Definition at line 41 of file JobHistory.h.

Referenced by environment(), and JobHistory().

PropertyList JobHistory::m_props`[private]`

Definition at line 43 of file JobHistory.h.

Referenced by addProperty(), and properties().

std::vector<std::string> JobHistory::m_CVSid`[private]`

Definition at line 45 of file JobHistory.h.

time_t JobHistory::m_start_time`[private]`

Definition at line 46 of file JobHistory.h.

Referenced by JobHistory(), and start_time().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/JobHistory.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/JobHistory.cpp